noinst_LTLIBRARIES = libpymobius-decoder.la

libpymobius_decoder_la_CXXFLAGS = -I$(top_srcdir)/src -I.. -I../api $(PY_CXXFLAGS) -fno-strict-aliasing

libpymobius_decoder_la_LDFLAGS = $(PY_LIBS)

libpymobius_decoder_la_SOURCES =			\
	module.h					\
	module.cc					\
	data_decoder.h					\
	data_decoder.cc					\
	lnk.h						\
	lnk.cc						\
	mfc.h						\
	mfc.cc						\
	qdatastream.h					\
	qdatastream.cc					\
	sourcecode.h					\
	sourcecode.cc					\
	func_base16.cc					\
	func_base32.cc					\
	func_base32hex.cc				\
	func_base64.cc					\
	func_base64url.cc				\
	func_btencode.cc				\
	func_get_filetype.cc				\
	sgml/module.h					\
	sgml/module.cc					\
	sgml/tokenizer.h				\
	sgml/tokenizer.cc				\
	sgml/parser.h					\
	sgml/parser.cc					\
	tdf.h						\
	tdf.cc
